<!doctype html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="">
  <meta name="author" content="Mark Otto, Jacob Thornton, and Bootstrap contributors">
  <meta name="generator" content="Hugo 0.101.0">
  <title>Lognin </title>

  <link rel="canonical" href="https://getbootstrap.com/docs/4.6/examples/sign-in/">
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
  <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css">
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/js/bootstrap.min.js"></script>



  <!-- Bootstrap core CSS -->
  <link href="./assets/dist/css/bootstrap.min.css" rel="stylesheet">



  <style>
    .bd-placeholder-img {
      font-size: 1.125rem;
      text-anchor: middle;
      -webkit-user-select: none;
      -moz-user-select: none;
      -ms-user-select: none;
      user-select: none;
    }

    @media (min-width: 768px) {
      .bd-placeholder-img-lg {
        font-size: 3.5rem;
      }
    }
  </style>


  <!-- Custom styles for this template -->
  <link href="./css/signin.css" rel="stylesheet">
</head>

<body class="">

  <form class="form-signin border border-black-50 " onsubmit="return false;">
    <h1 class=" text-center h3 mb-4 font-weight-normal font-weight-bold  mt-5 ">Login to your account</h1>
    <hr>
    <!-- class="sr-only" áp dụng cho trình đọc màn hình  dành cho người mù  -->
    <label for="inp-user-name" class="sr-only">User Name</label>
    <input type="text" id="inp-user-name" class="form-control mb-3" placeholder="User Name" required autofocus>



    <label for="input-password" class="sr-only">Password</label>
    <input type="password" id="input-password" class="form-control mb-3" placeholder="Password" required>

    <div class="checkbox mb-3 ">
      <label class="mr-5">
        <input type="checkbox" value="remember-me"> Remember account
      </label>
      <label class="ml-5" for="">Forgot password</label>

    </div>
    <button id="btn-log-in" class="btn btn-lg btn-primary btn-block mb-3" type="submit">Log in</button>
    <button id="btn-dang-ky" class="btn btn-lg btn-primary btn-block mb-5" type="submit">Sign up</button>
  </form>



</body>

<script>
  // front-end-81-30

  $(document).ready(function () {
    $("#btn-dang-ky").on("click", dangKiClick);
    //----Phần này làm sau khi đã làm trang info.js
    //Kiểm tra token nếu có token tức người dùng đã đăng nhập
    const token = getCookie("token");
    console.log(token);

    if (token) {
      window.location.href = "./html/info.html";
    }
    //----Phần này làm sau khi đã làm trang info.js

    //Sự kiện bấm nút login
    $("#btn-log-in").on("click", function () {
      console.log("Login");
      var username = $("#inp-user-name").val().trim();
      var password = $("#input-password").val().trim();

      if (validateForm(username, password)) {
        console.log(username, password); // console
        signinForm(username, password);
      }
    });

    function signinForm(username, password) {
      var loginUrl = "http://localhost:8080/api/auth/signin";

      var vLoginData = {
        username: username,
        password: password
      }

      $.ajax({
        url: loginUrl,
        type: "POST",
        dataType: "json",
        contentType: "application/json; charset=utf-8",
        data: JSON.stringify(vLoginData),
        success: function (responseObject) {
          responseHandler(responseObject);
        },
        error: function (xhr) {
          // Lấy error message
          var errorMessage = xhr.responseJSON.message;
          showError(errorMessage);
        }
      });
    }

    //Xử lý object trả về khi login thành công
    function responseHandler(data) {
      //Lưu token vào cookie trong 1 ngày
      setCookie("token", data.accessToken, 1);
      window.location.href = "./html/info.html";
    }

    //Hàm setCookie đã giới thiệu ở bài trước
    function setCookie(cname, cvalue, exdays) {
      var d = new Date();
      d.setTime(d.getTime() + (exdays * 24 * 60 * 60 * 1000));
      var expires = "expires=" + d.toUTCString();
      document.cookie = cname + "=" + cvalue + ";" + expires + ";path=/";
    }

    //Hiển thị lỗi lên form 
    function showError(message) {
      var errorElement = $("#error");

      errorElement.html(message);
      errorElement.addClass("d-block");
      errorElement.addClass("d-none");
    }

    //Validate dữ liệu từ form
    function validateForm(username, password) {
      if (username === "") {
        alert("Username không phù hợp");
        return false;
      };

      if (password === "") {
        alert("Password không phù hợp");
        return false;
      }

      return true;
    }

    //Hàm get Cookie đã giới thiệu ở bài trước
    function getCookie(cname) {
      var name = cname + "=";
      var decodedCookie = decodeURIComponent(document.cookie);
      var ca = decodedCookie.split(';');
      for (var i = 0; i < ca.length; i++) {
        var c = ca[i];
        while (c.charAt(0) == ' ') {
          c = c.substring(1);
        }
        if (c.indexOf(name) == 0) {
          return c.substring(name.length, c.length);
        }
      }
      return "";
    }

    function dangKiClick(){
      window.location.href = "./html/signup.html";  // khi ấn nút đăng ký tại from đăng nhập 
    }




  });
</script>


</html>